## b43-fwcutter 011

=== Makefile ===
VERSION = 011

CC ?= cc
PREFIX ?= /usr/local
CFLAGS ?= -Os -fomit-frame-pointer
CFLAGS += -std=c99 -Wall -pedantic -D_BSD_SOURCE
LDFLAGS ?=


OBJECTS = fwcutter.o md5.o
BIN	= b43-fwcutter

CFLAGS += -DFWCUTTER_VERSION_=$(VERSION)

all: $(BIN)

fwcutter.o: fwcutter.h fwcutter_list.h md5.h

md5.o: md5.h

$(BIN): $(OBJECTS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJECTS) $(LDFLAGS)

install: all
	-install -d -o 0 -g 0 -m 755 $(PREFIX)/bin/
	-install -o 0 -g 0 -m 755 $(BIN) $(PREFIX)/bin/
	-install -d -o 0 -g 0 -m 755 $(PREFIX)/man/man1/
	-install -o 0 -g 0 -m 644 $(BIN).1 $(PREFIX)/man/man1/

clean:
	-rm -f *.o $(BIN)

distclean: clean
	-rm -f *.fw *.orig *.rej *~

## b43-fwcutter 012

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 011
+VERSION = 012
 
 CC ?= cc
 PREFIX ?= /usr/local

## b43-fwcutter 013

=== Makefile ===
VERSION = 013

# The toolchain definitions
CC		= cc
SPARSE		= sparse

V		= @		# Verbose build:  make V=1
C		= 0		# Sparsechecker build:  make C=1
Q		= $(V:1=)
QUIET_CC	= $(Q:@=@echo '     CC       '$@;)$(CC)
QUIET_DEPEND	= $(Q:@=@echo '     DEPEND   '$@;)$(CC)
ifeq ($(C),1)
QUIET_SPARSE	= $(Q:@=@echo '     SPARSE   '$@;)$(SPARSE)
else
QUIET_SPARSE	= @/bin/true
endif

PREFIX ?= /usr/local
CFLAGS		?= -Os -fomit-frame-pointer
CFLAGS		+= -std=c99 -Wall -pedantic -D_BSD_SOURCE
LDFLAGS		?=

SRCS = fwcutter.c md5.c
BIN	= b43-fwcutter

CFLAGS += -DFWCUTTER_VERSION_=$(VERSION)

.SUFFIXES:
.PHONY: all install clean distclean
.DEFAULT_GOAL := all

DEPS = $(sort $(patsubst %.c,dep/%.d,$(1)))
OBJS = $(sort $(patsubst %.c,obj/%.o,$(1)))

# Generate dependencies
$(call DEPS,$(SRCS)): dep/%.d: %.c 
	@mkdir -p $(dir $@)
	$(QUIET_DEPEND) -o $@.tmp -MM -MG -MT "$@ $(patsubst dep/%.d,obj/%.o,$@)" $(CFLAGS) $< && mv -f $@.tmp $@

-include $(call DEPS,$(SRCS))

# Generate object files
$(call OBJS,$(SRCS)): obj/%.o:
	@mkdir -p $(dir $@)
	$(QUIET_SPARSE) $(SPARSEFLAGS) $<
	$(QUIET_CC) -o $@ -c $(CFLAGS) $<

all: $(BIN)

$(BIN): $(call OBJS,$(SRCS))
	$(QUIET_CC) $(CFLAGS) -o $(BIN) $(call OBJS,$(SRCS)) $(LDFLAGS)

install: all
	install -d -o 0 -g 0 -m 755 $(PREFIX)/bin/
	install -o 0 -g 0 -m 755 $(BIN) $(PREFIX)/bin/
	install -d -o 0 -g 0 -m 755 $(PREFIX)/man/man1/
	install -o 0 -g 0 -m 644 $(BIN).1 $(PREFIX)/man/man1/

clean:
	-rm -Rf obj dep *.orig *.rej *~

distclean: clean
	-rm -f *.fw $(BIN)

=== debian/changelog ===
b43-fwcutter (1:013-2) unstable; urgency=medium

  * The "Ah, well, I end up maintaining this anyway" release....

  * QA upload
  * allow 14e4:4320 also for firmware-b43-installer (closes: #580883) 
  * fix logic: || -> && (closes: #579633) 
  * don't fail in -lpphy-installer when also broadcom ethernet is present
    (closes: #580098) 

 -- Rene Engelhard <rene@debian.org>  Tue, 11 May 2010 01:52:40 +0200

b43-fwcutter (1:013-1) unstable; urgency=medium

  * QA upload
  * update to official 013
  * fix lspci, thanks Geoff Simmons (closes: #578777)
  * fix debhelper builddep 

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Apr 2010 00:03:48 +0200

b43-fwcutter (1:013~git20100413-2) unstable; urgency=low

  * QA upload
  * mkdir /lib/firware if not existing (closes: #541810)

 -- Rene Engelhard <rene@debian.org>  Tue, 13 Apr 2010 20:04:37 +0200

b43-fwcutter (1:013~git20100413-1) unstable; urgency=low

  * remove b43-fwcutters debconf question 
  * don't try to extract the firmware in b43-fwcutter, split out into
    extra installer packages (which are then properly versioned and
    can check for needed kernel/chipsets)
  * add debian/source/format ("3.0 (quilt)")
  * update from git (closes: #561450), and package a installer for the
    LP-PHY
  * orphan package (I don't have b43 hw anymore since long) 

 -- Rene Engelhard <rene@debian.org>  Tue, 13 Apr 2010 02:44:19 +0200

b43-fwcutter (1:012-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 05 Jun 2009 14:08:23 +0200

b43-fwcutter (1:011-7) unstable; urgency=low

  * add ru debconf translation (closes: #512669)

 -- Rene Engelhard <rene@debian.org>  Thu, 22 Jan 2009 20:18:20 +0100

b43-fwcutter (1:011-6) unstable; urgency=low

  * add gl debconf translation (closes: #511728) 
  * fix Homepage: s/linuxwireless.sipsolutions.net/wireless.kernel.org/
    (closes: #499177) 

 -- Rene Engelhard <rene@debian.org>  Wed, 14 Jan 2009 00:48:07 +0100

b43-fwcutter (1:011-5) unstable; urgency=high

  * get firmware for >= 2.6.25 (closes: #480053) 

 -- Rene Engelhard <rene@debian.org>  Sun, 10 Aug 2008 11:39:13 -0300

b43-fwcutter (1:011-4) unstable; urgency=low

  * add fixed es.po (closes: #479281)

 -- Rene Engelhard <rene@debian.org>  Sun, 04 May 2008 10:59:39 +0200

b43-fwcutter (1:011-3) unstable; urgency=low

  * remove Homepage from desceription, add a Homepage: field and
    update it.

 -- Rene Engelhard <rene@debian.org>  Fri, 25 Apr 2008 15:49:54 +0200

b43-fwcutter (1:011-2) unstable; urgency=low

  * recommend bzip2, install_bcm43xx_firmware.sh does a tar xfvj 

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Apr 2008 23:57:28 +0200

b43-fwcutter (1:011-1) unstable; urgency=low

  * New upstream release (closes: #466941)

 -- Rene Engelhard <rene@debian.org>  Fri, 22 Feb 2008 00:19:26 +0100

b43-fwcutter (1:010-2) unstable; urgency=low

  * Brown paper bag release.
  * get right firmware for 2.6.24(-rc)

 -- Rene Engelhard <rene@debian.org>  Sat, 09 Feb 2008 20:48:44 +0100

b43-fwcutter (1:010-1) unstable; urgency=low

  * New upstream release
  * use new v4 firmware

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Feb 2008 21:40:12 +0100

b43-fwcutter (1:009-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 30 Jan 2008 10:53:21 +0100

b43-fwcutter (1:008-3) unstable; urgency=low

  * add es debconf translation, thanks Alberto Rivera (closes: #461358)

 -- Rene Engelhard <rene@debian.org>  Sun, 20 Jan 2008 23:58:43 +0100

b43-fwcutter (1:008-2) unstable; urgency=high

  * update README.Debian, thanks Bin Zhang (closes: #446818)
  * fix config scriptto not fail if db_get for bcm43xx-fwcutter/cut_firmware
    fails (closes: #447152)
  * apply patches from Zbyszek Szemek to not use a pre-defined dirname and fix
    some permissions in install_bcm43xx_fwcutter.sh, thanks (closes: #450887)

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Nov 2007 03:10:59 +0100

b43-fwcutter (1:008-1) unstable; urgency=low

  * New upstream release (for the mac80211 based version, which
    will probably hit with 2.6.24)
  * depend on wget, remove curl option
  * extract both b43 and b43legacy firmware 

 -- Rene Engelhard <rene@debian.org>  Sun, 26 Aug 2007 17:38:35 +0200

bcm43xx-fwcutter (1:006-3) unstable; urgency=low

  * fix wget download, thanks Stefan Lippers-Hollmann

 -- Rene Engelhard <rene@debian.org>  Wed, 15 Aug 2007 18:08:02 +0200

bcm43xx-fwcutter (1:006-2) unstable; urgency=low

  * get firmware from
    http://downloads.openwrt.org/sources/wl_apsta-3.130.20.0.o
    (closes: #437488)
  * re-add lost changelog entry of 20060501-6

 -- Rene Engelhard <rene@debian.org>  Mon, 13 Aug 2007 10:39:19 +0200

bcm43xx-fwcutter (1:006-1) unstable; urgency=low

  * New upstream release (closes: #406446)
  * strip epoch from -DFWCUTTER_VERSION_

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Jan 2007 02:41:43 +0100

bcm43xx-fwcutter (1:005-2) unstable; urgency=high

  * fix de.po (closes: #403500) 

 -- Rene Engelhard <rene@debian.org>  Sun, 17 Dec 2006 17:40:42 +0100

bcm43xx-fwcutter (1:005-1) unstable; urgency=high

  [ Marcus Better ]
  * New upstream version. (closes: #401671)
  * Don't build-depend on help2man.
  * debian/rules: Remove useless configure rule.

  [ Rene Engelhard ]
  * bump debconf priority to high, since d-i sets it to high....
  * get wl_apsta.o from http://boredklink.googlepages.com/wl_apsta.o
    (closes: #388280)
  * add pt debconf translation, thanks Rui Branco (closes: #388524)
  * add ja debconf translation, thanks Hideki Yamane (closes: #400142)
  * fix minor typo in README.Debian, thanks Santiago Ruano Rincon
    (closes: #400855)

 -- Rene Engelhard <rene@debian.org>  Thu,  7 Dec 2006 13:44:13 +0100

bcm43xx-fwcutter (20060108-6) unstable; urgency=low

  * fix install_bcm43xx_firmware with curl (closes: #354942)

 -- Rene Engelhard <rene@debian.org>  Thu,  2 Mar 2006 11:36:24 +0100

bcm43xx-fwcutter (20060501-5) unstable; urgency=high



=== debian/control ===
Source: b43-fwcutter
Section: contrib/utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.7.2

Package: b43-fwcutter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility for extracting Broadcom 43xx firmware
 fwcutter is a tool which can extract firmware from various source files.
 It's written for BCM43xx driver files.
Homepage: http://wireless.kernel.org/en/users/Drivers/b43

Package: firmware-b43-installer
Section: contrib/kernel
Architecture: all
Depends: b43-fwcutter (>= 1:012), bzip2, wget, ${misc:Depends}
Recommends: linux-image
Conflicts: firmware-b43-lpphy-installer
Description: Installer package for firmware for the b43 driver
 This package installs the firmware needed for usage of the b43 kernel
 driver.
 .
 Supported chipsets:
  - BCM4306/3
  - BCM4311
  - BCM4312
  - BCM4318

Package: firmware-b43-lpphy-installer
Section: contrib/kernel
Architecture: all
Depends: b43-fwcutter (>= 1:013~), bzip2, wget, ${misc:Depends}
Recommends: linux-image
Conflicts: firmware-b43-installer
Description: Installer package for firmware for the b43 driver (LP-PHY version)
 This package installs the firmware needed for usage of the b43 kernel
 driver.
 .
 Supported chipsets:
  - BCM4312 (with Low-Power aka LP-PHY)

Package: firmware-b43legacy-installer
Section: contrib/kernel
Architecture: all
Recommends: linux-image
Depends: b43-fwcutter (>= 1:012), wget, ${misc:Depends}
Description: Installer package for firmware for the b43legacy driver
 This package installs the firmware needed for usage of the b43legacy kernel
 driver.
 .
 Supported chipsets:
  - BCM4301
  - BCM4303
  - BCM4306/2

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

version=$(shell dpkg-parsechangelog | grep urgency | awk '{ print $$2; }' | sed -e s/"("// -e s/")"// | cut -d"-" -f1)

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE) CFLAGS="$(CFLAGS) -std=c99 -fomit-frame-pointer -pedantic -D_BSD_SOURCE -DFWCUTTER_VERSION_=`echo $(version) | cut -d: -f2`"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	rm -f b43-fwcutter

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install PREFIX=$(CURDIR)/debian/b43-fwcutter/usr
	rm -rf $(CURDIR)/debian/b43-fwcutter/usr/man

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installdebconf
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol -pfirmware-b43-installer -- -v4.150.10.5-4
	dh_gencontrol -pfirmware-b43legacy-installer -- -v4.178.10.4-4
	dh_gencontrol -pfirmware-b43-lpphy-installer -- -v4.174.64.19-4
	dh_gencontrol -pb43-fwcutter
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## b43-fwcutter 014

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 013
+VERSION = 014
 
 # The toolchain definitions
 CC		= cc
@@ -12,7 +12,7 @@
 ifeq ($(C),1)
 QUIET_SPARSE	= $(Q:@=@echo '     SPARSE   '$@;)$(SPARSE)
 else
-QUIET_SPARSE	= @/bin/true
+QUIET_SPARSE	= @true
 endif
 
 PREFIX ?= /usr/local
@@ -35,7 +35,7 @@
 # Generate dependencies
 $(call DEPS,$(SRCS)): dep/%.d: %.c 
 	@mkdir -p $(dir $@)
-	$(QUIET_DEPEND) -o $@.tmp -MM -MG -MT "$@ $(patsubst dep/%.d,obj/%.o,$@)" $(CFLAGS) $< && mv -f $@.tmp $@
+	$(QUIET_DEPEND) -o $@.tmp -MM -MT "$@ $(patsubst dep/%.d,obj/%.o,$@)" $(CFLAGS) $< && mv -f $@.tmp $@
 
 -include $(call DEPS,$(SRCS))

=== debian/changelog ===
b43-fwcutter (1:014-9) unstable; urgency=low

  * Match alphabetic characters as well. Closes: #636503

 -- Fabrizio Regalli <fabreg@fabreg.it>  Wed, 03 Aug 2011 19:22:16 +0200

b43-fwcutter (1:014-8) unstable; urgency=low

  * Fixed 'exit' status in *.postinst scripts. Closes: #636337

 -- Fabrizio Regalli <fabreg@fabreg.it>  Wed, 03 Aug 2011 10:13:19 +0200

b43-fwcutter (1:014-7) unstable; urgency=low

  * Fixed firmware-b43-installer.postinst script. Closes: #636258

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 02 Aug 2011 00:41:14 +0200

b43-fwcutter (1:014-6) unstable; urgency=low

  * Install new firmware for BCM4306/3 card. Closes: #636077

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sun, 31 Jul 2011 01:40:29 +0200

b43-fwcutter (1:014-5) unstable; urgency=low

  * firmware-b43-installer is uninstallable on 14e4:4328. Closes: #635577
  * Added build-arch and build-indep rules
  * Upgrade compat level to 8 
  * Switch debhelper to (>= 8)
  * Added myself to d/copyright
  * Updated all PCI-ID in postinst script
  * Added support for BCM4306 to b43legacy driver
  * Added support for cards
    - BCM4321
    - BCM4322 (only 14e4:432b)
  * Removed Daniel Echeverry from Uploaders

 -- Fabrizio Regalli <fabreg@fabreg.it>  Wed, 27 Jul 2011 09:46:34 +0200

b43-fwcutter (1:014-4) unstable; urgency=low

  * Add proxy support for downloading. Closes: #628126 

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 31 May 2011 11:36:49 +0200

b43-fwcutter (1:014-3) unstable; urgency=low

  * Removed *.bz2 files and directory created from installer. Closes: #625876

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 06 May 2011 16:44:20 +0200

b43-fwcutter (1:014-2) unstable; urgency=low

  [ Fabrizio Regalli ]
  * Fixed wrong wget url. Closes: #623703 
  * Fixed typo. Closes: #623748 

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 22 Apr 2011 20:10:57 +0200

b43-fwcutter (1:014-1) unstable; urgency=low

  [ Fabrizio Regalli ]
  * New maintainers. Closes: #581798
  * Added new firmware 478.104 to some non-lpphy cards. Closes: #622962
  * Added Vcs-* repository.
  * Removed duplicate 'Homepage' fields to make lintian happy.
  * Moved to BinNMU.

  [Daniel Echeverry ]
  * New upstream release.
  * Update copyright file to DEP5. Closes: #617688
  * Fixed multiple PCI devices with PCI IDS. Closes: #599741
    Thanks to Geoff Simmons for the patches!
  * Removed BCM4312 as a supported chipset. Closes: #617394
  * Change debhelper to 7.0.50 in B-D.
  * Bump Standard Versions 3.9.1 .
  * Switch compat level 4 to 7 .
 
 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 19 Apr 2011 20:26:59 -0500

b43-fwcutter (1:013-3) unstable; urgency=low

  * QA upload.
  * Remove obsolete option --postfix from the manpage (closes: #446770).
    Thanks to  Daniel Echeverry for the patch!

 -- Ralf Treinen <treinen@debian.org>  Wed, 08 Dec 2010 20:27:41 +0100

=== debian/control ===
Source: b43-fwcutter
Section: contrib/utils
Priority: optional
Maintainer: Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://wireless.kernel.org/en/users/Drivers/b43
Vcs-Git: git://git.debian.org/collab-maint/b43-fwcutter.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/b43-fwcutter.git


Package: b43-fwcutter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility for extracting Broadcom 43xx firmware
 fwcutter is a tool which can extract firmware from various source files.
 It's written for BCM43xx driver files.
 It grabs firmware for BCM43xx from website and install it. 

Package: firmware-b43-installer
Section: contrib/kernel
Architecture: all
Depends: b43-fwcutter (>= ${source:Version}), bzip2, wget, ${misc:Depends} 
Recommends: linux-image
Conflicts: firmware-b43-lpphy-installer
Description: Installer package for firmware for the b43 driver
 This package installs the firmware needed for usage of the b43 kernel
 driver.
 .
 Supported chipsets:
  - BCM4306/3
  - BCM4311
  - BCM4318
  - BCM4321
  - BCM4322 (only 14e4:432b)

Package: firmware-b43-lpphy-installer
Section: contrib/kernel
Architecture: all
Depends: b43-fwcutter (>= ${source:Version}), bzip2, wget, ${misc:Depends}
Recommends: linux-image
Conflicts: firmware-b43-installer
Description: Installer package for firmware for the b43 driver (LP-PHY version)
 This package installs the firmware needed for usage of the b43 kernel
 driver.
 .
 Supported chipsets:
  - BCM4312 (with Low-Power aka LP-PHY)


Package: firmware-b43legacy-installer
Section: contrib/kernel
Architecture: all
Recommends: linux-image
Depends: b43-fwcutter (>= ${source:Version}), wget, ${misc:Depends}
Description: Installer package for firmware for the b43legacy driver
 This package installs the firmware needed for usage of the b43legacy kernel
 driver.
 .
 Supported chipsets:
  - BCM4301
  - BCM4303
  - BCM4306/2
  - BCM4306

## b43-fwcutter 015

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 014
+VERSION = 015
 
 # The toolchain definitions
 CC		= cc

=== debian/changelog ===
b43-fwcutter (1:015-9) unstable; urgency=low

  * Install firmware-b43legacy unconditionally when installed in chroot 
    environment (Closes: #650099)
  * Fixed again if statement: back from single pipe to original
    duoble pipes of or condition (Closes: #650103)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sat, 26 Nov 2011 17:04:23 +0100

b43-fwcutter (1:015-8) unstable; urgency=low

  * Added missing firmware download for b43legacy driver
    (Closes: #650083)
  * Fixed if statement syntax into firmware-b43legacy-installer.postinst
    script

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sat, 26 Nov 2011 14:10:41 +0100

b43-fwcutter (1:015-7) unstable; urgency=low

  * Moved tmp=`mktemp -q -d` command on top into postinst scripts
    for using real /tmp/tmp.* directory.
  * Fixed check kernel in postinst: replaced 'gt' with 'ge'
  * Removes old firmware only in case 'purge' or 'remove' options
    are invoked (Closes: #649130)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 18 Nov 2011 12:05:23 +0100

b43-fwcutter (1:015-6) unstable; urgency=low

  * Add support for device 14e4:4325 BCM4306
    Thanks to Geoff Simmons for the pactch (Closes: #649143)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 18 Nov 2011 09:37:09 +0100

b43-fwcutter (1:015-5) unstable; urgency=low

  * Added BCM43224 and BCM43225 chips and moved BCM43224
    device ID 0576 from the unsupported to nottested list.
    Thanks to Geoff Simmons for the pactch (Closes: #648917)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Wed, 16 Nov 2011 10:58:15 +0100

b43-fwcutter (1:015-4) unstable; urgency=low

  * Added README.firmware-b43-lpphy-installer (Closes: #589867)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sun, 06 Nov 2011 11:22:28 +0100

b43-fwcutter (1:015-3) unstable; urgency=low

  * Fixed unversioned-copyright-format-url lintian message
  * Fixed firmware-b43-lpphy-installer posinst script (Closes: #644816)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sun, 09 Oct 2011 14:48:19 +0200

b43-fwcutter (1:015-2) unstable; urgency=low

  * Fixed lintian comma-separated-files-in-dep5-copyright message
  * Added check for chroot environment (Closes: #586605)
  * Added DM-Upload-Allowed field.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Mon, 26 Sep 2011 12:06:56 +0200

b43-fwcutter (1:015-1) unstable; urgency=low

  * New upstream version
  * Removed BCM4303 as a supported chipset in the long description
    of the firmware-b43legacy-installer package along with the
    the reference to it in firmware-b43-installer's postinst. (Closes: #637935)
  * Removed preinst scripts. The code is moved to postinst scripts.
    In this way removing of /lib/firmware/b43* directories is only
    possibile if the firmware was downloaded correctly. (Closes: #638668)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 23 Aug 2011 01:33:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: contrib/utils
 Priority: optional
 Maintainer: Fabrizio Regalli <fabreg@fabreg.it>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8)
 Standards-Version: 3.9.2
 Homepage: http://wireless.kernel.org/en/users/Drivers/b43
@@ -59,6 +60,5 @@
  .
  Supported chipsets:
   - BCM4301
-  - BCM4303
   - BCM4306/2
   - BCM4306

=== debian/rules ===
--- 
+++ 
@@ -35,13 +35,16 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	#dh_clean -k 
 	dh_installdirs
+	dh_installchangelogs $(CURDIR)/debian/b43-fwcutter.upstream-changelog
 
 	$(MAKE) install PREFIX=$(CURDIR)/debian/b43-fwcutter/usr
 	rm -rf $(CURDIR)/debian/b43-fwcutter/usr/man
 
 binary-indep: build install
+build-arch: build
+build-indep: build
 
 binary-arch: build install
 	dh_testdir
@@ -57,9 +60,9 @@
 	dh_fixperms
 	dh_shlibdeps
 	dh_installdeb
-	dh_gencontrol -pfirmware-b43-installer -- -v4.150.10.5-4
-	dh_gencontrol -pfirmware-b43legacy-installer -- -v4.178.10.4-4
-	dh_gencontrol -pfirmware-b43-lpphy-installer -- -v4.174.64.19-4
+	dh_gencontrol -pfirmware-b43-installer --
+	dh_gencontrol -pfirmware-b43legacy-installer --
+	dh_gencontrol -pfirmware-b43-lpphy-installer --
 	dh_gencontrol -pb43-fwcutter
 	dh_md5sums
 	dh_builddeb

=== debian/watch ===
version=3
http://bu3sch.de/b43/fwcutter/b43-fwcutter-(.+).tar.bz2

## b43-fwcutter 017

=== debian/changelog ===
b43-fwcutter (1:017-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #707562
  * [Debconf translation updates]
  * Indonesian (Mahyuddin Susanto).  Closes: #711295
  * Czech (Michal Simunek).  Closes: #711509
  * French (Julien Patriarca).  Closes: #711857
  * Russian (Yuri Kozlov).  Closes: #711885
  * Portuguese (Pedro Ribeiro).  Closes: #712135
  * German (Chris Leick).  Closes: #712276
  * Italian (Beatrice Torracca).  Closes: #712480
  * Swedish (Martin Bagge / brother).  Closes: #712651
  * Japanese (victory).  Closes: #712874
  * Polish (Michał Kułach).  Closes: #712922

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 10 May 2013 11:58:26 +0200

b43-fwcutter (1:017-1) unstable; urgency=low

  * Release from experimental to unstable
  * debian/firmware-b43legacy-installer.lintian-overrides
    + Use proper package name in lintian override

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 06 May 2013 21:40:30 -0500

b43-fwcutter (1:017-1~experimental2) experimental; urgency=low

  * Fix unowned directory after purge. Closes: #677154
    + Add debian/firmware-b43-installer.dirs file
    + Add debian/firmware-b43legacy-installer.dirs file
    + Add *.lintian-overrides file
    + remove lines from *.postinst to use .dirs files

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 18 Feb 2013 21:08:48 -0500

b43-fwcutter (1:017-1~experimental1) experimental; urgency=low

  * New upstream release.
  * New Maintainer. Closes: #698759
  * debian/control
    + Set myself as Maintainer.
    + Remove firmware-b43-lpphy-installer package. Closes: #657837
      + Firmware-b43-installer now supports BCM4312.
    + Update firmware-b43-installer description.
    + Change debhelper to 9 in B-D.
    + Bump Standard Versions 3.9.4.
    + Switch compat level 8 to 9.
    + Remove dm-upload field.
    + Remove conflict field.
    + Add po-debconf and debconf in B-D.
  * debian/rules
    + Add security Flags.
    + Use tiny rules.
  * Remove firmware-b43-lpphy-installer.* files.
  * Firmware-b43-installer now support BCM4331. Closes: #682427
  * Add debconf support. Thanks to Gaudenz. Closes: #698348
    + Allow installation without corresponding hardware.
    + Add es.po translation.
  * Update copyright file.
  * Remove debian/series file.
  * Update watch file.
  * Remove README.firmware-b43-lpphy-installer file.

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 04 Feb 2013 10:05:30 -0500

b43-fwcutter (1:015-14) unstable; urgency=low

  * Back to original /lib/firmware directory for all
    firmware versions (Closes: #666522)
  * Back to origianl directory in firmware-b43-lpphy-installer.postrm
    script
  * Update firmware to 5.100.138 version (Closes: #656574)
  * $FIRMAWARE_INSTALL_DIR is longer used for deletion/creation of directory

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sat, 31 Mar 2012 20:27:52 +0200

b43-fwcutter (1:015-13) unstable; urgency=low

  * Each firmware has its own folder:
    /lib/firmware/b43 for firmware-b43-installer package
    /lib/firmware/b43-lpphy for firmware-b43-lpphy package
    /lib/firmware/b43legacy for firmware-b43legacy package
  * Changed directory "/lib/firmware/b43-lpphy" in
    firmware-b43-lpphy-installer.postrm script
  * Changed creation of directory FIRMWARE_INSTALL_DIR moving
    the first control inside the if statement in each posinst 
    scripts 
  * Use 3.130.20.0 firmware for BCM4306 [14e4:4320] (rev 02) (Closes: #666165)
  * Bump Standards-Version to 3.9.3
  * Update debian/copyright format as in Debian Policy 3.9.3

 -- Fabrizio Regalli <fabreg@fabreg.it>  Thu, 29 Mar 2012 18:46:12 +0200

b43-fwcutter (1:015-12) unstable; urgency=low

  * Replaced if statement using case in 
    firmware-b43legacy-installer.postinst 
    and firmware-b43-lpphy-installer.postinst scripts
  * Changed "/lib/firmware/b43legacy" directory in 
    firmware-b43legacy-installer.postrm script (Closes: #656166, #653009)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 17 Jan 2012 18:34:50 +0100

b43-fwcutter (1:015-11) unstable; urgency=low

  * Using firmware 5.10.56.27.3 for BCM4306 802.11a/b/g
    [14e4:4324] (rev 03) card instead of previous legacy's 
    one (Closes: #652821)
  * Fixed 'dpkg --compare-versions' in firmware-b43-installer.postinst
    script.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Tue, 20 Dec 2011 19:22:53 +0100

b43-fwcutter (1:015-10) unstable; urgency=low

  * Fixed 'dpkg --compare-versions' in firmware-b43-lpphy-installer.postinst
    script (Closes: #651800)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Mon, 12 Dec 2011 20:02:53 +0100

=== debian/control ===
Source: b43-fwcutter
Section: contrib/utils
Priority: optional
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>= 9), po-debconf, debconf
Standards-Version: 3.9.4
Homepage: http://wireless.kernel.org/en/users/Drivers/b43
Vcs-Git: git://anonscm.debian.org/collab-maint/b43-fwcutter.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/b43-fwcutter.git

Package: b43-fwcutter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility for extracting Broadcom 43xx firmware
 This package provides a tool for extracting BCM43xx wireless chip
 firmware from Broadcom's proprietary driver files.
 .
 It is used by the firmware-b43(legacy)-installer packages as part of
 the automated process of downloading and installing firmware.

Package: firmware-b43-installer
Section: contrib/kernel
Architecture: all
Depends: b43-fwcutter (>= ${source:Version}), bzip2, wget, ${misc:Depends} 
Recommends: linux-image
Replaces: firmware-b43-lpphy-installer (<= 1:015-14)
Breaks: firmware-b43-lpphy-installer (<= 1:015-14)
Description: firmware installer for the b43 driver
 This package downloads and installs the firmware needed by the b43
 kernel driver for some Broadcom 43xx wireless network cards.
 .
 Supported chipsets:
  * BCM4306/3;
  * BCM4311;
  * BCM4318;
  * BCM4321;
  * BCM4322 (only 14e4:432b);
  * BCM4312 (with Low-Power a.k.a. LP-PHY).

Package: firmware-b43legacy-installer
Section: contrib/kernel
Architecture: all
Recommends: linux-image
Depends: b43-fwcutter (>= ${source:Version}), wget, ${misc:Depends}
Description: firmware installer for the b43legacy driver
 This package downloads and installs the firmware needed by the b43legacy
 kernel driver for some Broadcom 43xx wireless network cards.
 .
 Supported chipsets:
  * BCM4301;
  * BCM4306/2;
  * BCM4306.

=== debian/watch ===
version=3
http://bues.ch/b43/fwcutter/b43-fwcutter-(.+).tar.bz2

## b43-fwcutter 018

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 015
+VERSION = 018
 
 # The toolchain definitions
 CC		= cc

=== debian/changelog ===
b43-fwcutter (1:018-2) unstable; urgency=low

  * debian/control
    + Remove Recommends field allow auto-removal
      of linux-image-* packages. (Closes: #724567)

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 25 Sep 2013 20:39:11 -0500

b43-fwcutter (1:018-1) unstable; urgency=low

  * New upstream release.
  * Add Danish translation. (Closes: #715489)
  * debian/patches
    + Refreshed patch fix-manpage

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 12 Aug 2013 19:28:11 -0500

## b43-fwcutter 019

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 018
+VERSION = 019
 
 # The toolchain definitions
 CC		= cc

=== debian/changelog ===
b43-fwcutter (1:019-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #751205)
  * Migrate GIT repository to salsa.debian.org.
  * Update Lintian overrides.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version 4.3.0 (no changes).
  * Port Elliott's changes to the legacy package.

  [ Elliott Mitchell ]
  * Refactoring of firmware download/installation.
  * Implement catalog of firmware files installed.  (Closes: #819705)
  * Only unpack the required files.  (Closes: #819129)
  * Add checking of SHA512 checksum of downloaded tarball.  (Closes: #756664)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Feb 2019 02:00:18 +0100

b43-fwcutter (1:019-3) unstable; urgency=medium

  * debian/rules
    + Fix FTBFS when built with dpkg-buildpackage -A. (Closes: #820604)
      + Thanks to Santiago Vila for the patch.
    + Export security flags.
  * debian/patches
    + Add fix_readme.diff patch.
      + Update url in readme file. (Closes: #781601)
        + Thanks to Jean-Michel Nirgal Vourgère for the patch.
  * debian/po
    + Add Dutch translation. (Closes: #767484)
  * debian/control
    + Bump Standards-Version 3.9.8 (no changes)
    + Use HTTPS in Vcs-* fields.

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 14 Jul 2016 12:45:50 -0500

b43-fwcutter (1:019-2) unstable; urgency=medium

  * Fix upgrade in postinst files when network
    connecton is unavailable. Closes: #781544
    + Thanks Julian Moreno for the patch

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 05 Apr 2015 20:03:23 -0500

b43-fwcutter (1:019-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    + Bump Standard Versions 3.9.5 (no changes).
  *  Add support to check upstream gpg signature.
  * debian/copyright
    + Extend copyright holders years
  * remove patches
    + merge with upstream

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 10 Jul 2014 20:28:11 -0500

=== debian/control ===
Source: b43-fwcutter
Section: contrib/utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 debconf,
 po-debconf,
Standards-Version: 4.3.0
Homepage: http://wireless.kernel.org/en/users/Drivers/b43
Vcs-Git: https://salsa.debian.org/debian/b43-fwcutter.git
Vcs-Browser: https://salsa.debian.org/debian/b43-fwcutter

Package: b43-fwcutter
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: utility for extracting Broadcom 43xx firmware
 This package provides a tool for extracting BCM43xx wireless chip
 firmware from Broadcom's proprietary driver files.
 .
 It is used by the firmware-b43(legacy)-installer packages as part of
 the automated process of downloading and installing firmware.

Package: firmware-b43-installer
Section: contrib/kernel
Architecture: all
Depends:
 b43-fwcutter (>= ${source:Version}),
 bzip2,
 wget,
 ${misc:Depends},
Replaces:
 firmware-b43-lpphy-installer (<= 1:015-14),
Breaks:
 firmware-b43-lpphy-installer (<= 1:015-14),
Description: firmware installer for the b43 driver
 This package downloads and installs the firmware needed by the b43
 kernel driver for some Broadcom 43xx wireless network cards.
 .
 Supported chipsets:
  * BCM4306/3;
  * BCM4311;
  * BCM4318;
  * BCM4321;
  * BCM4322 (only 14e4:432b);
  * BCM4312 (with Low-Power a.k.a. LP-PHY).

Package: firmware-b43legacy-installer
Section: contrib/kernel
Architecture: all
Depends:
 b43-fwcutter (>= ${source:Version}),
 wget,
 ${misc:Depends},
Description: firmware installer for the b43legacy driver
 This package downloads and installs the firmware needed by the b43legacy
 kernel driver for some Broadcom 43xx wireless network cards.
 .
 Supported chipsets:
  * BCM4301;
  * BCM4306/2;
  * BCM4306.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://bues.ch/b43/fwcutter/b43-fwcutter-(.+).tar.bz2
